<?php
/**
 * Upgrades the database from version 1.5.0 to version 1.5.1
 * DO NOT call this directly, it will fail.
 * To be included from classes/core/updater.class.php.
 * Assumes that logging has already been init()ed. Log class will throw ServerException if not.
 */

//TODO TRASH THIS APPROACH ALTOGETHER.
//In importer, if config item does not exist, create it and set it TRUE.
//Warn in update that this has been done.

Log::write(Log::LOGLEVEL_INFO, "In updater, from 1.5.0 to 1.5.1");
Log::write(Log::LOGLEVEL_INFO, "No database updates to do.");
Log::write(Log::LOGLEVEL_WARN, "**************************************************************");
Log::write(Log::LOGLEVEL_WARN, "*                                                             *");
Log::write(Log::LOGLEVEL_WARN, "* If you import Formulatrix images into IceBear, note that    *");
Log::write(Log::LOGLEVEL_WARN, "* the importer will create a new config item, which controls  *");
Log::write(Log::LOGLEVEL_WARN, "* whether IceBear copies the images to its store. This will   *");
Log::write(Log::LOGLEVEL_WARN, "* be set to TRUE, which has always been the default behaviour *");
Log::write(Log::LOGLEVEL_WARN, "* anyway. The importer run that creates this config item will *");
Log::write(Log::LOGLEVEL_WARN, "* abort after doing so. Subsequent runs should complete as    *");
Log::write(Log::LOGLEVEL_WARN, "* normal.                                                     *");
Log::write(Log::LOGLEVEL_WARN, "*                                                             *");
Log::write(Log::LOGLEVEL_WARN, "***************************************************************");

Log::write(Log::LOGLEVEL_INFO, "...done");

